bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#22311: 25.1.50; package.el misused (read-from-string) will potential


From: Noam Postavsky
Subject: bug#22311: 25.1.50; package.el misused (read-from-string) will potentially cause "elpa/archives/xxx/archive-contents" file malformed
Date: Tue, 26 Jun 2018 19:57:33 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)

tags 22311 fixed
close 22311 26.2
quit

Noam Postavsky <address@hidden> writes:

>> Simply replace (read-from-string) with (read) would resolve this, I think.
>
> Right, seems it's a regression in 25.1.  So I think the patch below
> should go to emacs-26.

Pushed.

[1: 6f6d525683]: 2018-06-26 19:56:04 -0400
  Detect a non-list package archive content properly (Bug#22311)
  
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=6f6d525683d5731d55fcd801a66b078bd6ba8369





reply via email to

[Prev in Thread] Current Thread [Next in Thread]